curl --request PATCH \
--url https://api-sandbox.orum.io/deliver/external/accounts/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Orum-Version: <orum-version>' \
--data '
{
"account_number": "<string>",
"routing_number": "<string>",
"account_holder_name": "<string>",
"metadata": {}
}
'import requests
url = "https://api-sandbox.orum.io/deliver/external/accounts/{id}"
payload = {
"account_number": "<string>",
"routing_number": "<string>",
"account_holder_name": "<string>",
"metadata": {}
}
headers = {
"Orum-Version": "<orum-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Orum-Version': '<orum-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
account_number: '<string>',
routing_number: '<string>',
account_holder_name: '<string>',
metadata: {}
})
};
fetch('https://api-sandbox.orum.io/deliver/external/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_account": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_reference_id": "<string>",
"customer_reference_id": "<string>",
"customer_resource_type": "business",
"account_type": "checking",
"account_number": "<string>",
"routing_number": "<string>",
"account_holder_name": "<string>",
"status": "created",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"closed_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}{
"error_code": "<string>",
"message": "<string>",
"details": {}
}Partial Update External Account By ID
Update individual fields on an external account object.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version of Deliver and Verify APIs. Use v2022-09-21.
v2022-09-21 Path Parameters
Orum generated unique id for the resource for the external account you are updating. Orum generated unique id for the resource.
Body
Type of bank account - checking or savings.
checking, savings Account number for US bank account. 4 to 17 digits are acceptable.
^(?:\d-{0,1}){3,16}\d$9-digit American Bankers Association (ABA) routing number.
^\d{9}$Name of account holder. Accepts alphanumeric characters and hyphens, dashes, periods, apostrophes, spaces, and diacritics.
1 - 255^([ ’!"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\]^_`abcdefghijklmnopqrstuvwxyz{|}~¡¢£¤¥¦§¨©ª«¬®¯°±²³´µ¶·¸¹º»¼½¾¿ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖרÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂ㥹ĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıIJijĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňʼnŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſ]*|)$Additional data you would like to provide on the resource. The field supports valid JSON of up to 5 key-value pairs with a maximum of 20 characters for the key and 50 characters for the value. Do not include any sensitive information.
Response
200 response.
A single object of External Account.
Show child attributes
Show child attributes
Was this page helpful?